Page MenuHomePhabricator

stream.wikimedia.org speaks http (not https) on port 443
Closed, ResolvedPublic

Description

$ curl -v https://stream.wikimedia.org/rcstream_status
*   Trying 2620:0:861:ed1a::3:15...
* connect to 2620:0:861:ed1a::3:15 port 443 failed: Network is unreachable
*   Trying 208.80.154.249...
* Connected to stream.wikimedia.org (208.80.154.249) port 443 (#0)
* found 180 certificates in /etc/ssl/certs/ca-certificates.crt
* found 724 certificates in /etc/ssl/certs
* ALPN, offering http/1.1
* gnutls_handshake() failed: An unexpected TLS packet was received.
* Closing connection 0
curl: (35) gnutls_handshake() failed: An unexpected TLS packet was received.
$ curl -v http://stream.wikimedia.org:443/rcstream_status
*   Trying 2620:0:861:ed1a::3:15...
* connect to 2620:0:861:ed1a::3:15 port 443 failed: Network is unreachable
*   Trying 208.80.154.249...
* Connected to stream.wikimedia.org (208.80.154.249) port 443 (#0)
> GET /rcstream_status HTTP/1.1
> Host: stream.wikimedia.org:443
> User-Agent: curl/7.42.1
> Accept: */*
> 
< HTTP/1.1 200 OK
< Server: nginx/1.4.6 (Ubuntu)
< Date: Sat, 13 Jun 2015 01:02:16 GMT
< Content-Type: application/json
< Content-Length: 41
< Connection: keep-alive
< 
* Connection #0 to host stream.wikimedia.org left intact
{"connected_clients": 1, "queue_size": 0}

Event Timeline

Anomie created this task.Jun 13 2015, 1:02 AM
Anomie raised the priority of this task from to Needs Triage.
Anomie updated the task description. (Show Details)
Anomie added a project: EventStreams.
Anomie added a subscriber: Anomie.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2015, 1:02 AM
Anomie set Security to None.Jun 13 2015, 1:05 AM
Anomie added a subscriber: ori.
faidon added subscribers: faidon, Krinkle.

Change 220222 had a related patch set uploaded (by Faidon Liambotis):
rcstream: fix TLS configuration

https://gerrit.wikimedia.org/r/220222

Change 220222 merged by Faidon Liambotis:
rcstream: fix TLS configuration

https://gerrit.wikimedia.org/r/220222

faidon closed this task as Resolved.Jun 23 2015, 10:44 PM
faidon claimed this task.
Krinkle moved this task from Backlog to Backlog on the EventStreams board.Jul 23 2015, 9:53 PM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 23 2015, 9:53 PM